---
document: modulemd
version: 2
data:
  name: ruby
  stream: "3.3"
  version: 9040020240403183402
  context: 9edba152
  arch: ppc64le
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-bundled-gems
    - ruby-default-gems
    - ruby-devel
    - ruby-libs
    - rubygem-abrt
    - rubygem-bigdecimal
    - rubygem-bundler
    - rubygem-io-console
    - rubygem-irb
    - rubygem-json
    - rubygem-minitest
    - rubygem-mysql2
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-racc
    - rubygem-rake
    - rubygem-rbs
    - rubygem-rdoc
    - rubygem-rexml
    - rubygem-rss
    - rubygem-test-unit
    - rubygem-typeprof
    - rubygems
    - rubygems-devel
  filter:
    rpms:
    - rpm-local-generator-support
  components:
    rpms:
      rpm-local-generator-support:
        rationale: RPM local_generator support
        ref: f2c180e3d906ba5ca2ef8587d3b937162a6edf14
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: 221669894a146fc90826e631835d418cef621b4b
        buildorder: 101
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      rubygem-abrt:
        rationale: ABRT support for Ruby
        ref: 37bd8d8d89c4784618aee601cce12784b9860b77
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: 3394191758871658a926046538dc1310a5e873dd
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: 674d2756076805821004982a53edb7ba5f55328a
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
---
document: modulemd
version: 2
data:
  name: ruby-devel
  stream: "3.3"
  version: 9040020240403183402
  context: 9edba152
  arch: ppc64le
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
      ruby: [3.3]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-bundled-gems
    - ruby-default-gems
    - ruby-devel
    - ruby-libs
    - rubygem-abrt
    - rubygem-bigdecimal
    - rubygem-bundler
    - rubygem-io-console
    - rubygem-irb
    - rubygem-json
    - rubygem-minitest
    - rubygem-mysql2
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-racc
    - rubygem-rake
    - rubygem-rbs
    - rubygem-rdoc
    - rubygem-rexml
    - rubygem-rss
    - rubygem-test-unit
    - rubygem-typeprof
    - rubygems
    - rubygems-devel
  filter:
    rpms:
    - rpm-local-generator-support
  components:
    rpms:
      rpm-local-generator-support:
        rationale: RPM local_generator support
        ref: f2c180e3d906ba5ca2ef8587d3b937162a6edf14
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: 221669894a146fc90826e631835d418cef621b4b
        buildorder: 101
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      rubygem-abrt:
        rationale: ABRT support for Ruby
        ref: 37bd8d8d89c4784618aee601cce12784b9860b77
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: 3394191758871658a926046538dc1310a5e873dd
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: 674d2756076805821004982a53edb7ba5f55328a
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
